跳转到内容

列出协会的会员资格(仅含 id 和状态)

GET
/v1/memberships
curl --request GET \
--url 'https://api.vimine.network/v1/memberships?status=pending' \
--header 'Authorization: Bearer <token>'

分页返回,最新的在前。updated_since(RFC 3339)只返回在该时刻之后发生变化的记录——用于增量同步。需要套餐包含全协会范围的列表(否则返回 plan_limit)。

status
string
允许的值: pending active suspended revoked rejected
updated_since
string 格式: date-time
limit
integer
>= 1 <= 100
cursor
string

一页结果

媒体类型application/json
object
items
Array<object>
object
id
string
status
string
verdict
string
membership_type
object
cod
string
issued_at
string 格式: date-time
可为 null
valid_until
string 格式: date-time
可为 null
updated_at
string 格式: date-time
next_cursor
string
可为 null
示例自动生成
{
"items": [
{
"id": "example",
"status": "example",
"verdict": "example",
"membership_type": {
"cod": "example"
},
"issued_at": "2026-04-15T12:00:00Z",
"valid_until": "2026-04-15T12:00:00Z",
"updated_at": "2026-04-15T12:00:00Z"
}
],
"next_cursor": "example"
}

请求无效

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

缺少凭据或凭据无效

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

协会的套餐不包含全协会范围的列表(plan_limit)

未找到

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

已触发速率限制

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

内部错误

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}